Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.data
Class ExpressionParserUtility

    java.lang.Object
      org.eclipse.birt.core.data.ExpressionParserUtility

    public class ExpressionParserUtility

extends java.lang.Object

This utility class is to compile expression to get a list of column expression. The returned column expression is marked as dataSetRow["name"] or dataSetRow[index]

Constructor Summary
`ExpressionParserUtility()`

Method Summary
`static java.util.List` | `compileColumnExpression(ExpressionParserUtility util, java.lang.String expression, java.lang.String indicator)` compile the expression
`static java.util.List` | `compileColumnExpression(java.lang.String expression)` compile the expression
`static boolean` | `hasAggregation(java.lang.String expression)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpressionParserUtility

    public ExpressionParserUtility()

Method Detail

### compileColumnExpression

    public static java.util.List compileColumnExpression(java.lang.String expression)
                                                  throws BirtException

  compile the expression

  Parameters:
    `expression` -
  Returns:
    List contains all column reference
  Throws:
    `BirtException`

### compileColumnExpression

    public static java.util.List compileColumnExpression(ExpressionParserUtility util,
                                                         java.lang.String expression,
                                                         java.lang.String indicator)
                                                  throws BirtException

  compile the expression

  Parameters:
    `expression` -
  Returns:
    List contains all column reference
  Throws:
    `BirtException`

### hasAggregation

    public static boolean hasAggregation(java.lang.String expression)
                                  throws BirtException

  Returns:
  Throws:
    `BirtException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.